# Uses of Class
org.apache.sling.scriptingbundle.plugin.processor.FileProcessor

Packages that use FileProcessor
Package
Description
org.apache.sling.scriptingbundle.plugin.processor

## Uses of FileProcessor in org.apache.sling.scriptingbundle.plugin.processor

Constructors in org.apache.sling.scriptingbundle.plugin.processor with parameters of type FileProcessor
Modifier
Constructor
Description
``
`PathOnlyScriptAnalyser(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull Map<String,String> scriptEngineMappings, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`
``
`ResourceTypeFolderAnalyser(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`